## org.eclipse.emf.codegen.presentation
Class JETPropertyPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.dialogs.PropertyPage
                  org.eclipse.emf.codegen.presentation.JETPropertyPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IPreferencePage, Listener, IWorkbenchPropertyPage

    public class JETPropertyPage

extends PropertyPage
implements Listener

Field Summary
`protected Text` `javaSourceField`
`protected IContainer` `newJavaSourceContainer`
`protected java.util.List<java.lang.Object>` `newTemplateContainers`
`protected java.util.List<java.lang.Object>` `newTemplateSourceContainers`
`protected IContainer` `oldJavaSoureContainer`
`protected java.util.List<java.lang.Object>` `oldTemplateContainers`
`protected java.util.List<java.lang.Object>` `oldTemplateSourceContainers`
`protected IProject` `project`
`protected Text` `templateContainerField`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`JETPropertyPage()`

Method Summary
`protected Control` `createContents(Composite parent)`
`protected IProject` `getJETProject()` Returns the highlighted project in the workbench.
`void` `handleEvent(Event event)`
`protected static boolean` `isJETProject(IProject project)` Return whether this is a JET project.
`protected void` `performApply()`
`protected void` `performDefaults()`
`boolean` `performOk()`

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Field Detail

### project

    protected IProject project

### templateContainerField

    protected Text templateContainerField

### javaSourceField

    protected Text javaSourceField

### oldTemplateContainers

    protected java.util.List<java.lang.Object> oldTemplateContainers

### oldTemplateSourceContainers

    protected java.util.List<java.lang.Object> oldTemplateSourceContainers

### newTemplateContainers

    protected java.util.List<java.lang.Object> newTemplateContainers

### newTemplateSourceContainers

    protected java.util.List<java.lang.Object> newTemplateSourceContainers

### oldJavaSoureContainer

    protected IContainer oldJavaSoureContainer

### newJavaSourceContainer

    protected IContainer newJavaSourceContainer

Constructor Detail

### JETPropertyPage

    public JETPropertyPage()

Method Detail

### createContents

    protected Control createContents(Composite parent)

  Specified by:
    `createContents` in class `PreferencePage`

### getJETProject

    protected IProject getJETProject()

  Returns the highlighted project in the workbench.

### isJETProject

    protected static boolean isJETProject(IProject project)

  Return whether this is a JET project.

### handleEvent

    public void handleEvent(Event event)

  Specified by:
    `handleEvent` in interface `Listener`

### performOk

    public boolean performOk()

  Specified by:
    `performOk` in interface `IPreferencePage`
  Overrides:
    `performOk` in class `PreferencePage`

### performApply

    protected void performApply()

  Overrides:
    `performApply` in class `PreferencePage`

### performDefaults

    protected void performDefaults()

  Overrides:
    `performDefaults` in class `PreferencePage`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.